Bug 443586 - startx doesn't auto-detect keyboard nationality
Summary: startx doesn't auto-detect keyboard nationality
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-22 12:24 UTC by Michael Young
Modified: 2018-04-11 18:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 10:06:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log via startx (31.82 KB, application/octet-stream)
2008-04-23 09:44 UTC, Michael Young
no flags Details
Xorg.0.log via gdm (31.52 KB, application/octet-stream)
2008-04-23 09:51 UTC, Michael Young
no flags Details

Description Michael Young 2008-04-22 12:24:13 UTC
When I launch X from the command line via startx the keyboard type isn't
auto-detected, and thus I get stuck with a US key mapping rather than a UK one.
In contrast if I switch runlevels and go in via the graphical login screen, the
keyboard is detected correctly.

Comment 1 Jeremy Katz 2008-04-22 18:32:35 UTC
What is in your /etc/X11/xorg.conf?  And when did you do your installation?

Comment 2 Matěj Cepl 2008-04-22 21:38:35 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 3 Michael Young 2008-04-23 09:44:37 UTC
Created attachment 303467 [details]
Xorg.0.log via startx

This is reproducible without an /etc/X11/xorg.conf file. The system is a much
updated one, most recently from Fedora 8 to Fedora 9 alpha and then tracking
rawhide.

Comment 4 Michael Young 2008-04-23 09:51:10 UTC
Created attachment 303471 [details]
Xorg.0.log via gdm

For comparison here is the Xorg.0.log from a gdm session where the keyboard is
correctly set.

Comment 5 Bug Zapper 2008-05-14 09:56:22 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-06-10 00:21:48 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Michael Young 2009-06-10 10:06:13 UTC
This is working again in Fedora 11.


Note You need to log in before you can comment on or make changes to this bug.